WoWJapanizerArtifactToolTip = WoWJapanizerToolTip:New("WoWJapanizerArtifactToolTip")
WoWJapanizerArtifactToolTip.Tooltip = GameTooltip

hooksecurefunc("ArtifactFrame_LoadUI", function()	
	local orgOnEnter = ArtifactPowerButtonMixin.OnEnter

	function ArtifactPowerButtonMixin:OnEnter(button)
		orgOnEnter(self, button)
		if WoWJapanizer.db.profile.spell.tooltip then
			spell = WoWJapanizer_Spell:GetTooltipText(self.spellID, nil)
			if spell then
				text = spell.text
				GameTooltip:AddLine("\n" .. text, 1, 1, 1)

				local num = GameTooltip:NumLines()
				local target = _G[GameTooltip:GetName() .. "TextLeft" .. num]
				local filename, fontHeight, flags =  target:GetFont()

				self.Store = {
					["FontString"] = target,
					["Font"]       = filename,
					["Size"]       = fontHeight,
				}

				target:SetFont(WoWJapanizer.FONT, 12 + WoWJapanizer:FontSize())
				GameTooltip:Show()

			end
		end
		
	end

end)

